Categories:
  - Money
  - Sports & Health
License: AGPL-3.0-only
AuthorName: Tom Bursch
WebSite: https://docs.kitchenowl.org
SourceCode: https://github.com/TomBursch/kitchenowl
IssueTracker: https://github.com/TomBursch/kitchenowl/issues
Translation: https://hosted.weblate.org/projects/kitchenowl/
Changelog: https://github.com/TomBursch/kitchenowl/releases

AutoName: KitchenOwl

RepoType: git
Repo: https://github.com/TomBursch/kitchenowl.git

Builds:
  - versionName: 0.3.1
    versionCode: 58
    commit: v0.3.1
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild: touch .env
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.3.2
    versionCode: 59
    commit: 9b0e4eba5124d8e2d163fcc3352d6cbaad616b1b
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild: touch .env
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.3.4
    versionCode: 61
    commit: 38744c38b4e966c5328c6d9ff999bbc4f9f08e32
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild: touch .env
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.3.5
    versionCode: 62
    commit: 1abd5f7658a8f85745f7f8d69a521ac7ada399c7
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild: touch .env
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.3.6
    versionCode: 63
    commit: 0fb6c407a558faeacfaf5335bfd4a26bd49e0ef6
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild: touch .env
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.3.10
    versionCode: 67
    commit: 94803f7784a2fb1184975519ce2920953f324176
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.10
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild:
      - touch .env
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 0.3.12
    versionCode: 69
    commit: 318ab1e5ed4a323f484068c521e942d511f7f3c9
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild:
      - touch .env
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 0.3.13
    versionCode: 70
    commit: e68e9f4efba466216218b81fdcb9173a0055c40e
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild:
      - touch .env
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release

  - versionName: 0.4.4
    versionCode: 75
    commit: 678f42e29b56e2eab85a982f02474d60fb5dcfc8
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.10.0
    rm:
      - ios
      - linux
      - windows
      - web
      - macos
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.4.4
CurrentVersionCode: 75
